<?php
	include "php_class/class_mysql.php";
	include "php_class/class_mahasiswa.php";
	include "php_class/class_transaksi.php";	
	$DataMahasiswa = new DataMahasiswa;
	$DataTransaksi = new DataTransaksi;

	$no = $_POST['index'];
	$Nama = $DataMahasiswa->get_pendaftaran_single_by_id('Nama', $no);
	$Jurusan = $DataMahasiswa->get_pendaftaran_single_by_id('Jurusan', $no);
	$Email = $DataMahasiswa->get_pendaftaran_single_by_id('Email', $no);
	$NoPendaftaran = $DataMahasiswa->get_pendaftaran_single_by_id('NoPendaftaran', $no);
	$tempatLahir = $DataMahasiswa->get_mahasiswa_single_by_id('TempatLahir', $no);
	$tgl = $DataMahasiswa->get_mahasiswa_single_by_id('TglLahir', $no);
	$jenisKelamin = $DataMahasiswa->get_mahasiswa_single_by_id('JK', $no);
	$agama = $DataMahasiswa->get_mahasiswa_single_by_id('Agama', $no);
	$alamat = $DataMahasiswa->get_mahasiswa_single_by_id('Alamat', $no);
	$notelp = $DataMahasiswa->get_mahasiswa_single_by_id('NoTelp', $no);
	$email = $DataMahasiswa->get_mahasiswa_single_by_id('Email', $no);
	$asalSekolah = $DataMahasiswa->get_mahasiswa_single_by_id('AsalSekolah', $no);
	
	if ($Jurusan == "IESP"){
		$kdJurusan = 31;	
	}elseif ($Jurusan == "MANAJEMEN"){
		$kdJurusan = 32;
	} elseif ($Jurusan == "AKUNTANSI"){
		$kdJurusan = 33;	
	}
	
	$tahun = date('y'); 
	
	$jumlah = $DataMahasiswa->get_last_NPM_by_Jurusan('NPM', $Jurusan, $tahun, 'jumlah');
	
	if ($jumlah==0){
		$NPM = $tahun.$kdJurusan."122001";	
	}else{
		$terakhir = $jumlah + 1;
		$panjangkarakter = strlen($terakhir);
		for ($i = 1; $i <= 3- $panjangkarakter; $i++){
			$nol = $nol."0";
		}
		$NPM = $tahun.$kdJurusan."122".$nol.$terakhir;
	}

	$nopd = $DataTransaksi->get_master_trans_pendaftaran('NoTRX', $no);
	
	if ($nopd <> ""){
		$status = 'sudah';
		}
	$DataMahasiswa->cek_result = "off";
	if($Nama==''){
		echo '404';
	}else{
		echo $Nama.":".$Jurusan.":".$Email.":".$NoPendaftaran.":".$NPM.":".$NoPendaftaran.":".$tempatLahir.":".$tgl.":".$jenisKelamin.":".$agama.":".$alamat.":".$notelp.":".$asalSekolah.":".$status ;
	}
?>